Name:           split-gpg2
Version:        1.0.0
Release:        1%{dist}
Summary:        split-gpg2 for Qubes
BuildArch:      noarch

Group:          Qubes
License:        GPLv2+

Source0:        %{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  python3-rpm-macros
BuildRequires:  systemd-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python3-pyxdg
Requires:       socat
Requires:       bash
Requires:       gnupg2 >= 2.1.0
Requires:       systemd
Requires:       zenity
Requires:       libnotify

%description
split-gpg2 allows you to run the gpg client in a different Qubes-Domain than
the gpg-agent.

%package tests
Summary:    Tests for Split GPG
Requires:   %{name}
%if ! 0%{?rhel}
Requires:   python%{python3_pkgversion}-dogtail
%endif
Requires:   xdotool
Requires:   dovecot

%description tests
Helper scripts for Split GPG tests.

%prep
%setup -q

%build
make PYTHON=%{__python3}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT" PYTHON=%{__python3}

%post
%systemd_user_post split-gpg2-client.service

%preun
%systemd_user_preun split-gpg2-client.service

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/qubes-rpc/qubes.Gpg2
/etc/gnupg/gpg.conf
%_userunitdir/split-gpg2-client.service
%_userpresetdir/70-split-gpg2-client.preset
%{python3_sitelib}/splitgpg2
%{python3_sitelib}/splitgpg2-*.egg-info
/usr/share/split-gpg2/
/usr/share/doc/split-gpg2/

%files tests
/usr/share/split-gpg2-tests/test_evolution.py*
/usr/share/split-gpg2-tests/test_thunderbird.py*
/usr/share/split-gpg2-tests/test_smtpd.py*

%changelog
* Mon Feb 27 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-split-gpg2.git

* Mon Feb 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 95fb34d
- version 1.0.0

* Mon Feb 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3c10ab4
- README: Update references to the config location and format

* Sun Feb 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c56ec9c
- tests: fix loop cleanup

* Sun Feb 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 69f47ea
- Assert that self.source_keyring_dir is set

* Wed Feb 22 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - f3b2657
- Fix typo and make code more readable

* Tue Feb 21 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 32bf495
- Document source_keyring_dir

* Tue Feb 21 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 33f050d
- typo: verbose_notifications, not verbose_notification

* Tue Feb 21 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 6d6a565
- Expand ~ and ~user in all keyring paths

* Thu Feb 16 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 7063198
- Log keyring generation

* Thu Feb 16 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 45d6a1a
- Update subkey generation docs

* Wed Feb 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 870e368
- Document subkey vs primary key distinction

* Wed Feb 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 2f14962
- Add documentation about additional working uses

* Wed Feb 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - a8795b6
- Editorial fixes to README.md

* Wed Feb 01 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 5554af3
- fix pylint warning

* Tue Jan 31 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - fa5e668
- Make source_keyring_dir not override isolated_gnupghome_dirs

* Sun Jan 29 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 774a4f4
- Add type hints to all attributes and uses __slots__

* Sun Jan 29 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 2d0376f
- fix tests in Debian packaging

* Sun Jan 29 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 854f76a
- Avoid spurious ProtocolError when command filtered

* Sun Jan 29 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 010f8f2
- Use MyPy strict mode

* Sat Jan 28 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - a3a5cd0
- Try to fix tests in Debian packaging

* Sat Jan 28 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - bbde303
- fix mypy errors in tests

* Sat Jan 28 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 73c9769
- Fix some pylint errors

* Sat Jan 28 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 592211d
- Fix some mypy errors

* Sat Jan 28 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 3998300
- Refuse to generate keys with unknown algorithms

* Sat Jan 28 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 562cbff
- Fix importing subkeys into newly created directory

* Sat Jan 28 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 5e94eef
- Replace auto_keyring_sync by source_keyring_dir

* Thu Jan 26 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 6dc661d
- tests: Expand generate_key()

* Wed Jan 25 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 04845d2
- Revert "Always use a non-default GnuPG home directory"

* Wed Jan 25 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 5ae87b5
- Rename auto_sync to auto_keyring_sync

* Wed Jan 25 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - b1c3305
- Add auto_sync config option

* Tue Jan 24 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 737cd6c
- Automatically import secret subkeys by default

* Mon Jan 23 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 1010829
- Automatically create GnuPG home directory

* Mon Jan 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 87f4ccb
- split-gpg2-client: Fix typo in agent socket path verification

* Mon Jan 16 2023 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 0e1622b
- Make mypy happy

* Sun Jan 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fcaa952
- spec: add BR python3-setuptools

* Mon Oct 24 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 06326e4
- Always use a non-default GnuPG home directory

* Mon Oct 24 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - e29878b
- Set umask to 0077

* Mon Oct 24 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - d9483b3
- Use object-oriented approach to keygrip map

* Mon Oct 24 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 780dcf8
- Move configuration to a subdirectory

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1a0d071
- Add builderv2 integration

* Sun Aug 14 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - c61e058
- Work around gpgconf error-checking bug

* Sun Aug 14 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 9fe54bf
- Allow GETINFO s2k_count

* Sun Aug 14 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 7ef6ac9
- Ignore pinentry-mode options

* Sun Aug 14 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 3e9a221
- Improve split-gpg2-client script

* Sun Aug 14 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - b678f83
- Support using existing keys for key generation

* Sun Aug 14 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f73f22
- ci: add mypy job

* Sun Aug 14 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c6c334a
- Fix one more mypy issue

* Sun Jul 24 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ac675f7
- Fix support for old Python

* Fri Jul 22 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ed844ed
- Fix all MyPy errors

* Thu Jun 30 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ac8cbe8
- Warn about unsupported options - easier to spot typos

